# Update Event Payload **PUT /v2/api/events/{id}** Replaces the payload of an existing event. The event must belong to the authenticated account. ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Authentication methods - Bearer ## Parameters ### Path parameters - **id** (string) Event ID ### Body: application/json (object) New payload object ## Responses ### 200 Returns the updated event #### Body: application/json (object) - **accountId** (string) - **completedAt** (string) - **createdAt** (string) - **eventType** (string) - **failedAt** (string) - **id** (string) - **payload** (object) ### 400 Invalid request body or payload #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) ### 404 Event not found #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)